Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025643
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupminoralways2014-02-03 13:552014-05-07 18:11
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision2df9efa7fba0
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomaite
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025643: Should not be possible to import COA containing one account with Search Key but without Name

DescriptionShould not be possible to import COA containing one account with Search Key but without Name
Steps To Reproduce0. Download any COA csv and edit it to leave name of any account empty
1. Run Initial Client Setup selecting your COA csv
2. Access to Account Tree window and realize that one account has been imported without Name, when it is a mandatory field
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0065251)
AtulOpenbravo (developer)
2014-03-18 10:47

Test Plan
1. Download any COA csv and edit it to leave name of any account empty.
2. Run Initial Client Setup selecting your COA csv.
3. Notice that client creation process fails with showing proper message.
(0066300)
hgbot (developer)
2014-04-10 12:39

Repository: erp/devel/pi
Changeset: 2df9efa7fba054af7cc86a29baadeeaf9503aaa7
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Mar 21 18:20:16 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/2df9efa7fba054af7cc86a29baadeeaf9503aaa7 [^]

Fixes Issue 25643 Restrict import COA having account with Search Key, No Name

---
M src/org/openbravo/erpCommon/businessUtility/COAUtility.java
---
(0066306)
maite (developer)
2014-04-10 12:58

verified
(0066915)
hudsonbot (developer)
2014-05-07 18:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/02ca2648bcdc [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-02-03 13:55 maite New Issue
2014-02-03 13:55 maite Assigned To => dmiguelez
2014-02-03 13:55 maite Modules => Core
2014-02-03 13:55 maite Triggers an Emergency Pack => No
2014-02-03 13:56 maite Target Version => 3.0MP34
2014-02-03 13:56 maite Issue Monitored: networkb
2014-02-14 13:30 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2014-02-19 13:05 jonalegriaesarte Assigned To jonalegriaesarte => pramakrishnan
2014-03-11 13:40 jonalegriaesarte Target Version 3.0MP34 => PR14Q2
2014-03-18 07:42 AtulOpenbravo Assigned To pramakrishnan => AtulOpenbravo
2014-03-18 07:42 AtulOpenbravo Status new => scheduled
2014-03-18 07:42 AtulOpenbravo fix_in_branch => pi
2014-03-18 10:47 AtulOpenbravo Note Added: 0065251
2014-03-31 16:17 jonalegriaesarte Target Version PR14Q2 => PR14Q3
2014-04-10 12:30 AtulOpenbravo Review Assigned To => maite
2014-04-10 12:30 AtulOpenbravo fix_in_branch pi =>
2014-04-10 12:39 hgbot Checkin
2014-04-10 12:39 hgbot Note Added: 0066300
2014-04-10 12:39 hgbot Status scheduled => resolved
2014-04-10 12:39 hgbot Resolution open => fixed
2014-04-10 12:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2df9efa7fba054af7cc86a29baadeeaf9503aaa7 [^]
2014-04-10 12:58 maite Note Added: 0066306
2014-04-10 12:58 maite Status resolved => closed
2014-05-07 18:11 hudsonbot Checkin
2014-05-07 18:11 hudsonbot Note Added: 0066915


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker